低危 PHP fpm_log.c拒绝服务漏洞

CVE编号

CVE-2016-5114

利用情况

暂无

补丁情况

官方补丁

披露时间

2016-08-07
漏洞描述
PHP(PHP:Hypertext Preprocessor,PHP:超文本预处理器)是PHP Group和开放源代码社区共同维护的一种开源的通用计算机脚本语言。PHP中的sapi/fpm/fpm/fpm_log.c文件中存在安全漏洞,该漏洞源于程序没有正确处理snprintf函数的返回值。
解决建议
目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
http://php.net/ChangeLog-5.php
http://php.net/ChangeLog-5.php
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 php php * Up to
(including)
5.5.30
运行在以下环境
应用 php php 5.6.0 -
运行在以下环境
应用 php php 5.6.1 -
运行在以下环境
应用 php php 5.6.10 -
运行在以下环境
应用 php php 5.6.11 -
运行在以下环境
应用 php php 5.6.12 -
运行在以下环境
应用 php php 5.6.13 -
运行在以下环境
应用 php php 5.6.14 -
运行在以下环境
应用 php php 5.6.15 -
运行在以下环境
应用 php php 5.6.16 -
运行在以下环境
应用 php php 5.6.2 -
运行在以下环境
应用 php php 5.6.3 -
运行在以下环境
应用 php php 5.6.4 -
运行在以下环境
应用 php php 5.6.5 -
运行在以下环境
应用 php php 5.6.6 -
运行在以下环境
应用 php php 5.6.7 -
运行在以下环境
应用 php php 5.6.8 -
运行在以下环境
应用 php php 5.6.9 -
运行在以下环境
应用 php php 7.0.0 -
运行在以下环境
应用 php php 7.0.1 -
运行在以下环境
系统 debian DPKG * Up to
(excluding)
5.6.17+dfsg-0+deb8u1
运行在以下环境
系统 opensuse_13.2 php5-bcmath * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-curl * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-dba * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-enchant-debuginfo * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-fileinfo-debuginfo * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-firebird-debuginfo * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-gett * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-gettext-debuginfo * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-intl-debuginfo * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-json * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-ldap * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-mcrypt * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-mssql * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-odbc-debuginfo * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-opcache * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-pear * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-phar * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-phar-debuginfo * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-posix * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-posix-debuginfo * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-shmop * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-shmop-debuginfo * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-soap * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-sqlite * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-sysvmsg * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-sysvmsg-debuginfo * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-tidy * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-tidy-debuginfo * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-tokenizer * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-tokenizer-debuginfo * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-xmlrpc * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-xsl-debuginfo * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-zip * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 opensuse_13.2 php5-zlib * Up to
(excluding)
5.6.1-66.1
运行在以下环境
系统 suse_11 apache2-mod_php53 * Up to
(excluding)
5.3.17-47
运行在以下环境
系统 suse_11_SP4 php5-bcmath * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-curl * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-dba * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-enchant-debuginfo * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-fileinfo-debuginfo * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-firebird-debuginfo * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-gett * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-gettext-debuginfo * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-intl-debuginfo * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-json * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-ldap * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-mcrypt * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-mssql * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-odbc-debuginfo * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-opcache * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-pear * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-phar * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-phar-debuginfo * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-posix * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-posix-debuginfo * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-shmop * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-shmop-debuginfo * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-soap * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-sqlite * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-sysvmsg * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-sysvmsg-debuginfo * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-tidy * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-tidy-debuginfo * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-tokenizer * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-tokenizer-debuginfo * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-xmlrpc * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-xsl-debuginfo * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-zip * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php5-zlib * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 ubuntu_12.04.5_lts php5 * Up to
(excluding)
5.3.10-1ubuntu3.24
运行在以下环境
系统 ubuntu_14.04 php5 * Up to
(excluding)
5.5.9+dfsg-1ubuntu4.19
运行在以下环境
系统 ubuntu_14.04.6_lts php5 * Up to
(excluding)
5.5.9+dfsg-1ubuntu4.19
运行在以下环境
系统 ubuntu_16.04.7_lts php7.0 * Up to
(excluding)
7.0.4-7ubuntu2.1
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-119 内存缓冲区边界内操作的限制不恰当
CWE-125 跨界内存读
阿里云安全产品覆盖情况